{{- $pid := or (.Get "pid") (.Get "page") -}}
{{- $this := $.Page -}}
{{- $title := .Get "title" -}}
{{- $summary := .Get "summary" -}}
{{- $prefix := .Get "prefix" | default "#####" -}}
{{- $pages := where .Site.RegularPages "Params.pageid" "eq" $pid -}}
{{- range $pages -}}
  {{- if ne $title "none" -}}
{{ $prefix }} [{{ or $title .Title }}]({{ .Permalink }} "{{ or $summary .Summary }}") 
  {{- end -}}
  {{ .RenderShortcodes }}
{{- end -}}
